<?
/*
Мод для DCMS 6.6.4
Автор Green-Day icq 9595466
Данный скрипт не для продажи
*/
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Новости сайта';
include_once '../sys/inc/thead.php';
title();

//if (mysql_result(mysql_query("SELECT COUNT(*) FROM `news` LIMIT 1",$db), 0)==0){header("Location: /index.php?".SID);exit;}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `news`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `news` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "Нет новостей\n";
}
while ($post = mysql_fetch_assoc($q))
{
echo "   <tr>\n";
if($num==1){ 
echo "<div class='rowdown'>"; // можете сменить дивы на свои
$num=0;
}else{ 
echo "<div class='aut'>"; // можете сменить дивы на свои
$num=1;}
echo "<img src='/style/icons/zv.png' alt='' class='icon'/>\n";
echo "<b>$post[title]</b><br />\n";
echo "<img src='/style/icons/clock.png' alt='' class='icon'/> ".vremja($post['time'])."<br />\n";
echo output_text($post['msg'])."<br />\n";
if ($post['link']!=NULL)echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> <a href='".htmlentities($post['link'], ENT_QUOTES, 'UTF-8')."'>Подробности</a><br />\n";
echo "<img src='/style/icons/chat.gif' alt='' class='icon'/> <a href='komm.php?id=$post[id]'>Обсуждения</a> <font color='red'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '$post[id]'"),0)."</font>\n";

}
echo "</div>\n";

if ($k_page>1)str('index.php?',$k_page,$page); // Вывод страниц
include_once '../sys/inc/tfoot.php';
?>
